#include<stdio.h>
main()
{
	int N,K;
	scanf("%d %d",&N,&K);
	int p[N],i,index;
	for(i=0;i<N;i++)
	{
		scanf("%d",&p[i]);
	}
	index=0;
	for(i=0;i<N;i++)
	{
		if(p[i]==K)
		index=i;
	}
	if(index==N-1)
	printf("%d",p[0]);
	else
	printf("%d",p[index+1]);
}